﻿<Page x:Class="POSDesktop.Views.ProductSale"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:POSDesktop.Views"
      mc:Ignorable="d" 
      d:DesignHeight="450" d:DesignWidth="800"
      Title="SaleProduct">

    <StackPanel>

        <Border Margin="10 0">
            <Label x:Name="Label_Voucher" HorizontalAlignment="Right" Padding="0 05 0 5" FontWeight="Bold" FontSize="15" />
        </Border>
        <Border Margin="10 0">

            <Grid>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                </Grid.ColumnDefinitions>

                <Grid Grid.Column="0">
                    <Grid.RowDefinitions>
                        <RowDefinition Height=".1*" />
                        <RowDefinition Height=".1*" />
                        <RowDefinition Height=".1*" />
                        <RowDefinition Height=".1*" />

                    </Grid.RowDefinitions>

                    <Border Grid.Row="0" Margin="10 5">
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width=".5*" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>

                            <Label Grid.Column="0"  Margin="5 0 5 0" Content="Product" BorderThickness="1" BorderBrush="AntiqueWhite" MaxHeight="30" />
                            <Grid Grid.Column="1" >
                                <Grid.RowDefinitions>
                                    <RowDefinition Height="*"/>
                                    <RowDefinition Height="3*"/>
                                </Grid.RowDefinitions>
                                <TextBox Grid.Row="0" x:Name="product_name"  Margin="5 0 5 0" 
                                         Padding="05" KeyUp="Product_Name_Autocomple" />
                                <ListBox Grid.Row="1" ItemsSource="{Binding}" 
                                         x:Name="product_name_auto_com" Margin="5 0 5 0" 
                                         MouseDoubleClick="Select_Product_Mouse_Click" >

                                    <ListBox.ItemTemplate>
                                        <DataTemplate>
                                            <Grid Margin="0,2">
                                                <Grid.ColumnDefinitions>
                                                    <ColumnDefinition Width="*" />
                                                    <ColumnDefinition Width="100" />
                                                </Grid.ColumnDefinitions>
                                                <TextBlock Text="{Binding Id}" 
                                                           Visibility="Hidden" />
                                                <TextBlock Text="{Binding Name}" />

                                            </Grid>
                                        </DataTemplate>
                                    </ListBox.ItemTemplate>
                                </ListBox>
                            </Grid>

                            <TextBox x:Name="product_id"  Visibility="Hidden" Margin="5 0 5 0" />


                        </Grid>
                    </Border>

                    <Border Grid.Row="1" Margin="10 5">
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width=".5*" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Label Grid.Column="0"  Margin="5 0 5 0" Content="Quantity" 
                                   BorderThickness="1" BorderBrush="AntiqueWhite" />
                            <TextBox x:Name="quantity" Grid.Column="1"  Margin="5 0 5 0" Padding="05" />
                        </Grid>
                    </Border>

                    <Border Grid.Row="2" Margin="10 05" >
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width=".5*" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Label Grid.Column="0"  Margin="5 0 5 0" Content="Price" BorderThickness="1"
                                   BorderBrush="AntiqueWhite" />
                            <TextBox x:Name="price" Grid.Column="1"  Margin="5 0 5 0" Padding="0 5" />
                        </Grid>
                    </Border>

                    <Border Grid.Row="3">
                        <Button  Content="Add" Click="Add_Product"  Height="20" Background="Gainsboro"
                                 Margin="450 0 10 0">
                            <Button.Resources>
                                <Style TargetType="{x:Type Border}">
                                    <Setter Property="CornerRadius" Value="5" />
                                </Style>
                            </Button.Resources>
                        </Button>
                    </Border>

                </Grid>

                <Grid Grid.Column="1" Margin="0 10 0 0">

                    <Grid>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="*" />
                            <RowDefinition Height="*" />
                        </Grid.RowDefinitions>

                        <DataGrid Grid.Row="0" x:Name="SaleProductTemp" ItemsSource="{Binding}" 
                              AutoGenerateColumns="False" CanUserDeleteRows="True" 
                              CanUserAddRows="False" IsReadOnly="True" 
                              VerticalScrollBarVisibility="Auto" MaxHeight="125"
                              ScrollViewer.CanContentScroll="True">
                            <DataGrid.Columns>
                                <DataGridTextColumn Header="Name" Binding="{Binding ProductName}" />
                                <DataGridTextColumn Header="Quantity" Binding="{Binding SaleQuantity}" />
                                <DataGridTextColumn Header="Price" Binding="{Binding SalePrice}" />
                                <DataGridTextColumn Header="Total Price" Binding="{Binding TotalPrice}" />
                            </DataGrid.Columns>

                        </DataGrid>

                        <Border Grid.Row="1" Margin=" 0 5">
                            <Button Grid.Column="1" Margin="50 0 0 0 " Click="Save_Button" Content="Save" BorderBrush="Tomato" Height="30" Width="100" >
                                <Button.Resources>
                                    <Style TargetType="{x:Type Border}">
                                        <Setter Property="CornerRadius" Value="10" />
                                    </Style>
                                </Button.Resources>

                            </Button>
                        </Border>
                    </Grid>


                </Grid>
            </Grid>



        </Border>

        <!--sale list-->
        <Border Margin="20 5">
            <Grid>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*"/>

                </Grid.ColumnDefinitions>
                <DataGrid x:Name="SoldProduct_List" IsReadOnly="True" AutoGenerateColumns="False" CanUserAddRows="False" CanUserResizeColumns="False" MaxHeight="500" >
                    <DataGrid.Columns>
                        <!--<DataGridTextColumn Header="Id" Binding="{Binding Id}" Width="10" />-->
                        <DataGridTextColumn  Header="Voucher" Binding="{Binding Voucher}" Width="850" />
                        <!--<DataGridTextColumn Header="Quantity" Binding="{Binding SaleQuantity}" Width="100" />

                        <DataGridTextColumn Header="Price" Binding="{Binding SalePrice}" Width="100" />
                        <DataGridTextColumn Header="Total" Binding="{Binding TotalPrice}" Width="100" />-->

                        <DataGridTemplateColumn Header="Action"  Width="65" >
                            <DataGridTemplateColumn.CellTemplate>
                                <DataTemplate>
                                    <Button Margin="2" Click="Button_Sale_Detail_List" CommandParameter="{Binding Id}">Detail</Button>
                                </DataTemplate>
                            </DataGridTemplateColumn.CellTemplate>
                        </DataGridTemplateColumn  >
                    </DataGrid.Columns>
                </DataGrid>

                <!-- detail pop up-->
                <Popup Margin="100,10,0,13" x:Name="Popup1" Placement="Center"   
  Width="auto" Height="auto">
                    <StackPanel Background="White">
                        <Button x:Name="ClosePopup" Click="Close_Popup_ProductDetailList" Content="X" Height="20" Width="20" HorizontalAlignment="Right" Background="IndianRed" />


                        <Grid Margin=" 0 5">

                            <DataGrid x:Name="ProductDetailListPop" IsReadOnly="True" CanUserAddRows="False" AutoGenerateColumns="False" Width="718" >

                                <DataGrid.Columns>
                                    <DataGridTextColumn Header="Name" Binding="{Binding ProductName, Mode=TwoWay}" Width="300"  />
                                    <DataGridTextColumn Header="Quantity" Binding="{Binding SaleQuantity, Mode=TwoWay}" Width="150"  />
                                    <DataGridTextColumn Header="Price" Binding="{Binding SalePrice, Mode=TwoWay}" Width="100"  />
                                    <DataGridTextColumn Header="Total Price" Binding="{Binding TotalPrice, Mode=TwoWay}" Width="100"  />

                                    <!--<DataGridTemplateColumn Header="Action"  Width="45" >
                                        <DataGridTemplateColumn.CellTemplate>
                                            <DataTemplate>
                                                <Button Margin="2"  CommandParameter="{Binding Path=Id}">Edit</Button>
                                            </DataTemplate>
                                        </DataGridTemplateColumn.CellTemplate>
                                    </DataGridTemplateColumn  >-->

                                    <DataGridTemplateColumn Header="Action" Width="60" >
                                        <DataGridTemplateColumn.CellTemplate>
                                            <DataTemplate>
                                                <Button Content="Delete" Margin="2" Background="Red" Click="Button_Delete_Sale_Product" CommandParameter="{Binding Id}"/>
                                            </DataTemplate>
                                        </DataGridTemplateColumn.CellTemplate>
                                    </DataGridTemplateColumn>

                                </DataGrid.Columns>

                            </DataGrid>

                        </Grid>

                    </StackPanel>
                </Popup>
            </Grid>
        </Border>
    </StackPanel>
</Page>
